# Logger

    public protocol Logger

Represents what’s expected from a logging entity

- `debug(_:file:function:line:)`

  Undocumented

  #### Declaration

  Swift

      func debug(_ message: String, file: StaticString, function: StaticString, line: Int)

- `info(_:file:function:line:)`

  Undocumented

  #### Declaration

  Swift

      func info(_ message: String, file: StaticString, function: StaticString, line: Int)

- `event(_:file:function:line:)`

  Undocumented

  #### Declaration

  Swift

      func event(_ message: String, file: StaticString, function: StaticString, line: Int)

- `warn(_:file:function:line:)`

  Undocumented

  #### Declaration

  Swift

      func warn(_ message: String, file: StaticString, function: StaticString, line: Int)

- `error(_:file:function:line:)`

  Undocumented

  #### Declaration

  Swift

      func error(_ message: String, file: StaticString, function: StaticString, line: Int)

© 2022 Francisco Gindre and Jack Grigg. All rights reserved. (Last updated: 2022-04-07)

Generated by jazzy ♪♫ v0.14.2, a Realm project.